# fn() arrayDestruct
Destroys an array of objects.

Defined in | <seqan/basic.h>
Signature | `void arrayDestruct(begin, end);`

## Parameters

`begin` | Iterator to the begin of the range that is to be destructed.
`end` | Iterator behind the end of the range.

## Detailed Description

This function does not deallocates the memory.

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @fn arrayDestruct
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Destroys an array of objects.
     *
     * @signature void arrayDestruct(begin, end);
     *
     * @param[in] begin Iterator to the begin of the range that is to be destructed.
     * @param[in] end Iterator behind the end of the range.
     *
     * This function does not deallocates the memory.
     */